/**
 * accesspoint.h -- AP implementation
 * 
 * Copyright (C) 2011 Pantelis A. Frangoudis <pfrag@aueb.gr>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef _ACCESSPOINT_H_
#define _ACCESSPOINT_H_

#include "types.h"
#include "client.h"
#include "simulator.h"


AP* ap_scan_block(AP *ap, int bid, double *min_distance);
void ap_scan(AP *ap);
void ap_report(AP *ap, int ap_edges, int ap_report);
void free_ap(struct access_point *ap);
void flush_ap_info(struct access_point *ap);
void ap_set_behaviour(AP *ap, attack_scenario *as);

#endif

